Subject: Re: Linker switches [ was: Re: API's that certainly do work. ]
From: [email-masked] (Geoffrey Noer)

29 Mar 1997 02:34:40 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked], [email-masked],
        [email-masked] (Geoffrey Noer)
In-Reply-To: <[email-masked]> from "[email-masked]" at Mar 28, 97 09:48:18 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

[email-masked] wrote:
[...]
> a file that terminates the .idata$4 and .idata$5 lists (for this DLL only)
> and a terminator for the entire descriptor list in .idata$3.  The cygwin32
> strategy is slightly different, and they forgot the .idata$3 terminator, but
> it is similar.
[...]

The .idata3 terminator isn't automatically produced by any of the tools,
because it was hard to integrate this functionality into ld/dlltool
and/or because nobody has spent the time to do so.

Producing dlls is currently much more clumsy than I think it needs to be.
(I'd like to do away with dlltool entirely and have the functionality
included in ld but I don't know how practical this would be).  Regardless,
the dll building process is something I think is important to improve.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".